package com.tykj.dev.device.user.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * AuExample.
 *
 * @author Matrix <xhyrzldf@gmail.com>
 * @since 2020/9/26 at 8:22 下午
 */
@AllArgsConstructor
@Getter
public enum AuExample {

    /**
     * 查询条件是area表的name字段
     */
    AreaId("id", 1),
    /**
     * 查询条件是area表的name字段
     */
    AreaName("name", 1),
    /**
     * 查询条件是area表的fatherId字段
     */
    AreaFatherId("fatherId", 1),
    /**
     * 查询条件是unit表的unitId字段
     */
    UnitId("unitId", 2),
    /**
     * 查询条件是unit表的name字段
     */
    UnitName("name", 2);

    private final String fieldName;

    /**
     * 1 = 地区 2 = 单位 ，根据type来决定查哪张表
     */
    private final int type;


}
